org.apache.xerces.impl.xs

## Class XSDTypeAlternativeValidator

- java.lang.Object
- - org.apache.xerces.impl.xs.XSDTypeAlternativeValidator

-     public class XSDTypeAlternativeValidator
      extends java.lang.Object

  An XML Schema validator subcomponent handling "type alternative" processing.
  Version:
    $Id: XSDTypeAlternativeValidator.java 1479074 2013-05-04 11:02:02Z mukulg $
  Author:
    Hiranya Jayathilaka, University of Moratuwa, Mukul Gandhi IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSDTypeAlternativeValidator(XMLSchemaValidator xmlSchemaValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.xs.XSTypeAlternative` | `getTypeAlternative(XSElementDecl currentElemDecl, org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, java.util.Vector inheritableAttrList, org.apache.xerces.xni.NamespaceContext instanceNamespaceContext, java.lang.String expandedSystemId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSDTypeAlternativeValidator

          public XSDTypeAlternativeValidator(XMLSchemaValidator xmlSchemaValidator)

  - ### Method Detail

    - #### getTypeAlternative

          public org.apache.xerces.xs.XSTypeAlternative getTypeAlternative(XSElementDecl currentElemDecl,
                                                                  org.apache.xerces.xni.QName element,
                                                                  org.apache.xerces.xni.XMLAttributes attributes,
                                                                  java.util.Vector inheritableAttrList,
                                                                  org.apache.xerces.xni.NamespaceContext instanceNamespaceContext,
                                                                  java.lang.String expandedSystemId)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.